ImaPluginException (Eclipse Amlen Javadoc Reference)

Package com.ibm.ima.plugin

## Class ImaPluginException

- Object
- - Throwable
  - - Exception
    - - RuntimeException
      - - com.ibm.ima.plugin.ImaPluginException

- All Implemented Interfaces:
    `Serializable`

      public class ImaPluginException
      extends RuntimeException

  The ImaPluginExecption is used to indicate an error when processing a synchronous request. When processing asynchronous requests, the error will show up as a return code and message.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `COPYRIGHT` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ImaPluginException​(String errcode, String message)` | Create a plug-in runtime exception without a cause.
    `ImaPluginException​(String errcode, String message, Throwable cause)` | Create a plug-in runtime exception with a cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getErrorCode()` | Get the error code for the exception.
    `String` | `toString()` | Get a string version of the exception including the error code.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### COPYRIGHT

          public static final String COPYRIGHT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ImaPluginException

          public ImaPluginException​(String errcode,
                                    String message,
                                    Throwable cause)

      Create a plug-in runtime exception with a cause.
      Parameters:
        `errcode` - The error code
        `message` - The human readable message
        `cause` - The cause of the exception

    - #### ImaPluginException

          public ImaPluginException​(String errcode,
                                    String message)

      Create a plug-in runtime exception without a cause.
      Parameters:
        `errcode` - The error code
        `message` - The human readable message

  - ### Method Detail

    - #### getErrorCode

          public String getErrorCode()

      Get the error code for the exception. The error code is a String uniquely identifying the exception message and allows the message to be translated.
      Returns:
        The error code

    - #### toString

          public String toString()

      Get a string version of the exception including the error code.
      Overrides:
        `toString` in class `Throwable`
      Returns:
        The string representing the exception